﻿using System.Web;

using DHTMLX.Scheduler.Data;
using Scheduler.Net.SignalR.Models;

namespace SchedulerNetAsp
{
    /// <summary>
    /// </summary>
    public class Data : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            var dc = new SchedulerDataContext();

            var data = new SchedulerAjaxData(dc.Events);

            context.Response.ContentType = "text/json";
            context.Response.Write(data.ToString());
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}